class BuilderMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Budowniczy: tworzenie aut");    

        var slowVehicle = VehicleBuilder.buildSlowVehicle();
        var fastVehicle = new FastVehicle.Builder()
                            .addCabin("kokpit")
                            .addEngine("silnik")
                            .build();
        /*
        var superVehicle = new SuperVehicle.Builder()
                            .addCabin("kokpit_delux")
                            .addEngine("supersilnik")
                            .build();
        */
        slowVehicle.parts();
        fastVehicle.parts();
        
        //System.out.println(superVehicle);
        //superVehicle.parts();
    }
    
}